(add-to-list 'load-path "/usr/share/emacs/site-lisp/psgml")

(autoload 'sgml-mode "psgml" "Major mode for editing SGML." t)
(autoload 'xml-mode "psgml" "Major mode for editing XML." t)
(if (not (getenv "SGML_CATALOG_FILES"))
   (defvar sgml-catalog-files '("CATALOG" "catalog" "/etc/sgml/catalog""/usr/lib64/sgml/CATALOG" "/usr/lib64/sgml-tools/dtd/catalog"))
  "*List of catalog entry files.
The files are in the format defined in the SGML Open Draft Technical
Resolution on Entity Management.")
(put 'sgml-catalog-files 'sgml-type 'list);;
;;
;; SGML markup faces.
;;
(setq sgml-markup-faces
'((start-tag . font-lock-function-name-face)
(end-tag . font-lock-builtin-face)
(comment . font-lock-comment-face)
(pi . font-lock-keyword-face)
(sgml . font-lock-keyword-face)
(doctype . font-lock-keyword-face)
(entity . font-lock-variable-name-face)
(shortref . font-lock-variable-name-face)
(ignored  . font-lock-comment)
(ms-start . font-lock-type-face)
(ms-end . font-lock-type-face)))

(setq sgml-set-face t)

